-- --------------------------------------------------------
-- Host:                         mdbsql
-- Server version:               5.5.44-MariaDB-log - FreeBSD Ports
-- Server OS:                    FreeBSD9.3
-- HeidiSQL Version:             9.2.0.4947
-- --------------------------------------------------------

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET NAMES utf8mb4 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

-- Dumping database structure for dashboard
CREATE DATABASE IF NOT EXISTS `dashboard` /*!40100 DEFAULT CHARACTER SET latin1 */;
USE `dashboard`;


-- Dumping structure for table dashboard.addon
CREATE TABLE IF NOT EXISTS `addon` (
  `addon_id` smallint(6) NOT NULL AUTO_INCREMENT,
  `addon_name` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`addon_id`)
) ENGINE=Aria DEFAULT CHARSET=utf8 PAGE_CHECKSUM=1;

-- Data exporting was unselected.


-- Dumping structure for table dashboard.addon_var
CREATE TABLE IF NOT EXISTS `addon_var` (
  `addonvar_id` smallint(6) NOT NULL AUTO_INCREMENT,
  `var_name` varchar(50) DEFAULT NULL,
  `value` varchar(50) DEFAULT NULL,
  `addon_id` smallint(6) DEFAULT NULL,
  PRIMARY KEY (`addonvar_id`)
) ENGINE=Aria DEFAULT CHARSET=utf8 PAGE_CHECKSUM=1;

-- Data exporting was unselected.


-- Dumping structure for table dashboard.channel
CREATE TABLE IF NOT EXISTS `channel` (
  `channel_id` smallint(6) NOT NULL AUTO_INCREMENT,
  `main` tinyint(4) DEFAULT NULL,
  `channel_name` varchar(50) DEFAULT '',
  `pulse` int(1) DEFAULT NULL,
  `pulse_unit` varchar(50) DEFAULT NULL,
  `device_id` smallint(6) DEFAULT NULL,
  `chnum` tinyint(4) DEFAULT NULL,
  `netchannel_id` smallint(6) DEFAULT NULL,
  `image` varchar(50) DEFAULT NULL,
  `views` smallint(6) DEFAULT NULL,
  `colour` varchar(50) DEFAULT NULL,
  `hide` tinyint(4) DEFAULT NULL,
  `ctype` smallint(6) DEFAULT NULL,
  `minws` bigint DEFAULT NULL,
  `granws` bigint DEFAULT NULL,
  `hourws` bigint DEFAULT NULL,
  PRIMARY KEY (`channel_id`),
  KEY `idx_main` (`main`)
) ENGINE=Aria DEFAULT CHARSET=utf8 PAGE_CHECKSUM=1;

-- Data exporting was unselected.


-- Dumping structure for table dashboard.channel_image
CREATE TABLE IF NOT EXISTS `channel_image` (
  `channelimage_id` smallint(6) NOT NULL AUTO_INCREMENT,
  `image_name` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`channelimage_id`)
) ENGINE=Aria DEFAULT CHARSET=utf8 PAGE_CHECKSUM=1;

-- Data exporting was unselected.


-- Dumping structure for table dashboard.devices
CREATE TABLE IF NOT EXISTS `devices` (
  `device_id` smallint(6) NOT NULL AUTO_INCREMENT,
  `serial` varchar(50) DEFAULT NULL,
  `alias` varchar(50) DEFAULT NULL,
  `net` tinyint(4) DEFAULT NULL,
  `type` varchar(50) DEFAULT NULL,
  `grandate` datetime DEFAULT NULL,
  `mindate` datetime DEFAULT NULL,
  `hourdate` datetime DEFAULT NULL,
  `gransec` bigint DEFAULT NULL,
  `minsec` bigint DEFAULT NULL,
  `hoursec` bigint DEFAULT NULL,
  PRIMARY KEY (`device_id`)
) ENGINE=Aria DEFAULT CHARSET=utf8 PAGE_CHECKSUM=1;

-- Data exporting was unselected.


-- Dumping structure for table dashboard.device_commands
CREATE TABLE IF NOT EXISTS `device_commands` (
  `command_id` smallint(6) NOT NULL,
  `command` varchar(50) DEFAULT NULL,
  `device_id` smallint(6) DEFAULT NULL,
  `identifier` smallint(6) DEFAULT NULL,
  `misc` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`command_id`)
) ENGINE=Aria DEFAULT CHARSET=utf8 PAGE_CHECKSUM=1;

-- Data exporting was unselected.


-- Dumping structure for table dashboard.hourdata
CREATE TABLE IF NOT EXISTS `hourdata` (
  `hour_id` bigint NOT NULL AUTO_INCREMENT,
  `channel_id` smallint(6) DEFAULT NULL,
  `date` datetime DEFAULT NULL,
  `wattsecond` bigint DEFAULT NULL,
  `watt` bigint DEFAULT NULL,
  `kwh` float DEFAULT NULL,
  `seconds` bigint DEFAULT NULL,
  `cost` float DEFAULT NULL,
  `totalcost` float DEFAULT NULL,
  PRIMARY KEY (`hour_id`),
  KEY `idx_hourdate` (`date`),
  KEY `idx_hrdatechan` (`channel_id`,`date`)
) ENGINE=Aria DEFAULT CHARSET=utf8 PAGE_CHECKSUM=1;

-- Data exporting was unselected.


-- Dumping structure for table dashboard.minutedata
CREATE TABLE IF NOT EXISTS `minutedata` (
  `minute_id` bigint NOT NULL AUTO_INCREMENT,
  `channel_id` smallint(6) DEFAULT NULL,
  `date` datetime DEFAULT NULL,
  `wattsecond` bigint DEFAULT NULL,
  `watt` bigint DEFAULT NULL,
  `kwh` float DEFAULT NULL,
  `seconds` bigint DEFAULT NULL,
  `cost` float DEFAULT NULL,
  `totalcost` float DEFAULT NULL,
  PRIMARY KEY (`minute_id`),
  KEY `idx_datechan` (`channel_id`,`date`) USING BTREE,
  KEY `idx_mindate` (`date`)
) ENGINE=Aria DEFAULT CHARSET=utf8 PAGE_CHECKSUM=1;

-- Data exporting was unselected.


-- Dumping structure for table dashboard.sysinfo
CREATE TABLE IF NOT EXISTS `sysinfo` (
  `sys_id` smallint(6) NOT NULL AUTO_INCREMENT,
  `timezone` varchar(50) DEFAULT NULL,
  `billing_type` smallint(6) DEFAULT NULL,
  `flat_rate` float DEFAULT NULL,
  `holiday` tinyint(4) DEFAULT NULL,
  `month_start` varchar(50) DEFAULT NULL,
  `sat` tinyint(4) DEFAULT NULL,
  `sun` tinyint(4) DEFAULT NULL,
  `prov` varchar(50) DEFAULT NULL,
  `admin_user` varchar(50) DEFAULT NULL,
  `admin_salt` varchar(100) DEFAULT NULL,
  `admin_pass` varchar(300) DEFAULT NULL,
  `powermeter` tinyint(4) DEFAULT NULL,
  `email` varchar(100) DEFAULT NULL,
  `locale` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`sys_id`)
) ENGINE=Aria DEFAULT CHARSET=utf8 PAGE_CHECKSUM=1;

-- Data exporting was unselected.


-- Dumping structure for table dashboard.virtual_chan
CREATE TABLE IF NOT EXISTS `virtual_chan` (
  `virtchan_id` smallint(6) NOT NULL AUTO_INCREMENT,
  `virtual_id` smallint(6) DEFAULT NULL,
  `channel_id` smallint(6) DEFAULT NULL,
  PRIMARY KEY (`virtchan_id`),
  KEY `idx_virtid` (`virtual_id`)
) ENGINE=Aria DEFAULT CHARSET=utf8 PAGE_CHECKSUM=1;

-- Data exporting was unselected.
/*!40101 SET SQL_MODE=IFNULL(@OLD_SQL_MODE, '') */;
/*!40014 SET FOREIGN_KEY_CHECKS=IF(@OLD_FOREIGN_KEY_CHECKS IS NULL, 1, @OLD_FOREIGN_KEY_CHECKS) */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
